/* Copyright(C) 2011 Cobac.Net All rights reserved. */

#include "system.h"
#include "io.h"

int main()
{
    int in, out;

    while (1) {
        in = IORD(MYPIO_0_BASE, 1);
        switch ( in ) {
            case 0x0: out = 0xc0; break;
            case 0x1: out = 0xf9; break;
            case 0x2: out = 0xa4; break;
            case 0x3: out = 0xb0; break;
            case 0x4: out = 0x99; break;
            case 0x5: out = 0x92; break;
            case 0x6: out = 0x82; break;
            case 0x7: out = 0xd8; break;
            case 0x8: out = 0x80; break;
            case 0x9: out = 0x90; break;
            case 0xA: out = 0x88; break;
            case 0xB: out = 0x83; break;
            case 0xC: out = 0xc6; break;
            case 0xD: out = 0xa1; break;
            case 0xE: out = 0x86; break;
            case 0xF: out = 0x8e; break;
            default:  out = 0xff; break;
        }

        IOWR(MYPIO_0_BASE, 0, out);
    }
    return 0;
}
